Graphene-1.10.4

Graphene の概要

The Graphene package provides a thin layer of types for graphics libraries.

本パッケージは LFS-10.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

Graphene の依存パッケージ

必須

GLib-2.66.7, gobject-introspection-1.66.1

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/graphene

Graphene のインストール

以下のコマンドを実行して Graphene をビルドします。

mkdir build &&
cd    build &&

meson --prefix=/usr .. &&
ninja

ビルド結果をテストする場合は ninja test を実行します。

root ユーザーになって以下を実行します。

ninja install

コマンド説明

-Dgtk_doc=true: Use this switch if you have GTK-Doc-1.33.2 installed and wish to generate the API documentation.

パッケージ構成

インストールプログラム: なし
インストールライブラリ: libgraphene-1.0.so
インストールディレクトリ: /usr/include/graphene-1.0, /usr/lib/graphene-1.0, /usr/{libexec,share}/installed-tests/graphene-1.0

概略説明

libgraphene-1.0.so

contains functions that provide a thin layer of types for graphics libraries

最終更新日: 2021-02-22 08:09:04 +0900